twitter4j

## Interface Place

All Superinterfaces:
  Comparable<Place>, Serializable, TwitterResponse

    public interface Place
    extends TwitterResponse, Comparable<Place>, Serializable

Since:
  Twitter4J 2.1.1
Author:
  Yusuke Yamamoto - yusuke at mac.com

### Field Summary

### Fields inherited from interface twitter4j.TwitterResponse

`NONE, READ, READ_WRITE, READ_WRITE_DIRECTMESSAGES`

### Method Summary

All Methods Instance Methods Abstract Methods
`GeoLocation[][]` `getBoundingBoxCoordinates()`
`String` `getBoundingBoxType()`
`Place[]` `getContainedWithIn()`
`String` `getCountry()`
`String` `getCountryCode()`
`String` `getFullName()`
`GeoLocation[][]` `getGeometryCoordinates()`
`String` `getGeometryType()`
`String` `getId()`
`String` `getName()`
`String` `getPlaceType()`
`String` `getStreetAddress()`
`String` `getURL()`

### Methods inherited from interface twitter4j.TwitterResponse

`getAccessLevel, getRateLimitStatus`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Method Detail

#### getName

    String getName()

#### getStreetAddress

    String getStreetAddress()

#### getCountryCode

    String getCountryCode()

#### getId

    String getId()

#### getCountry

    String getCountry()

#### getPlaceType

    String getPlaceType()

#### getURL

    String getURL()

#### getFullName

    String getFullName()

#### getBoundingBoxType

    String getBoundingBoxType()

#### getBoundingBoxCoordinates

    GeoLocation[][] getBoundingBoxCoordinates()

#### getGeometryType

    String getGeometryType()

#### getGeometryCoordinates

    GeoLocation[][] getGeometryCoordinates()

#### getContainedWithIn

    Place[] getContainedWithIn()